*
* Les passagers du vent II
*
* (c) 1986, Infogrames
* (c) 1988, Ordigrames
* (c) 2021, Brutal Deluxe Software
*

             mx    %00
             lst   off

*--------------------------
* Ordre des scnes
*
* 0 : VILLAGE
* 1 : EXTVILL
* 2 : DAHRET
* 3 : PILOTIS
* 4 : MORTSM
* 5 : REJUDA
* 6 : CLOITRE

*--------------------------
* Antoine's variables for the StdFile

strLOADFILE  str   'Load which game?'
strSAVEFILE  str   'Save as...'

typeLIST     hex   01
             hex   5d          ; Game/Edu files
replyPTR     ds    2           ; 0 good
             ds    2           ; 2 fileType
             ds    2           ; 4 auxFileType
namePATH
             hex   04          ; 6 fileName
namePATH1
             asc   'Game'      ; 7 fileName (16 normally)
             ds    11
loadPATH
             ds    1           ; 22 fullPathname (string length)
loadPATH1
             ds    129         ; 23 fullPathname (128 normally)

*--------------------------
* Antoine's variables for IFF

numLIGNE     ds    2           ; current line number
picWIDTH     ds    2           ; width in pixels (eg. 68+8)
picWIDTH2    ds    2           ; real width in pixels (eg. 68)
picHEIGHT    ds    2           ; height in bytes
picPLANES    ds    2           ; nb of planes
picCOMPRESS  ds    2           ; 0/1: un/compressed
picOFFSET    ds    4           ; offset to body
picSIZE      ds    2           ; size of the pic in bytes
IFFwidth     ds    2           ; width in bytes
IFFwidth2    ds    2           ; width in bytes as read
IFFb         ds    2
IFFcnt       ds    2
IFFplanes    ds    2
IFFpmask     ds    2

tempTABLE    ds    320         ; The 4-bit plans
tempTABLE2   ds    320         ; The 8-bit pixels

*--------------------------

L030000      DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
L030008      ASC   'Can'27't allocate SANE direct page'00
L030028      DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
L030030      DB    $88	; accents
             DB    $8D
             DB    $99
             DB    $8E
             DB    $8F
             DB    $90
             DB    $94
             DB    $9E
             DB    $9D
             DB    $91
             DB    $9A
             DB    $9F
             DB    $9F
             DB    $95
             DB    $89
L03003F      DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $90
             DB    $00
             DB    $37
             DB    $01
             DB    $90
             DB    $00
             DB    $37
             DB    $01
             DB    $C7
             DB    $00
             DB    $3F
             DB    $01
L03004F      DW    $0090	; icon rectangle
             DW    $0008
             DW    $00C0
             DW    $0038	; $003F $0051
L030057      DW    $0090	; text rectangle
             DW    $0050
             DW    $00C0
             DW    $0138
L03005F      DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $0D
             DB    $00
             DB    $40
             DB    $01
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $C8
             DB    $00
             DB    $40
             DB    $01
L03006F      DB    $00
             DB    $00
L030071      DB    $00
             DB    $00
L030073      DB    $00
             DB    $00
L030075      DB    $00
             DB    $00
L030077      DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
L03007F      DB    $00
             DB    $00
L030081      DB    $00
             DB    $00
L030083      DB    $00
             DB    $00
L030085      DB    $00
             DB    $00
L030087      DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
L03008F      DB    $00
             DB    $00
L030091      DB    $00
             DB    $00
L030093      DB    $00
             DB    $00
L030095      DB    $00
             DB    $00
L030097      DB    $00
             DB    $00
L030099      DB    $00
             DB    $00
L03009B      DB    $00
             DB    $00
L03009D      DB    $00
             DB    $00
L03009F      DB    $00
             DB    $00
L0300A1      DB    $00
             DB    $00
L0300A3      DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
L0300AD      DB    $00
L0300AE      DB    $00
L0300AF      DB    $00
L0300B0      DB    $00
L0300B1      DW    $000C       ; cursor height
             DW    $0004       ; cursor width
             HEX   00FFFFF000000000  ; cursor image
             HEX   0F00000F00000000
             HEX   F0000000F0000000
             HEX   F0FFFF00F0000000
             HEX   F0F000F0F0000000
             HEX   F0F000F0F0000000
             HEX   F0FFFF00F0000000
             HEX   F0F0F000F0000000
             HEX   F0F00F00F0000000
             HEX   F0000000F0000000
             HEX   0F00000F00000000
             HEX   00FFFFF000000000
             HEX   00FFFFF000000000  ; cursor mask
             HEX   0FFFFFFF00000000
             HEX   FFFFFFFFF0000000
             HEX   FFFFFFFFF0000000
             HEX   FFFFFFFFF0000000
             HEX   FFFFFFFFF0000000
             HEX   FFFFFFFFF0000000
             HEX   FFFFFFFFF0000000
             HEX   FFFFFFFFF0000000
             HEX   FFFFFFFFF0000000
             HEX   0FFFFFFF00000000
             HEX   00FFFFF000000000
             DW    $0001       ; hot spot
             DW    $0001

*             DB    $64
*             DB    $00
*             DB    $19
*             DB    $6A
*             DB    $00
*             DB    $06
*             DB    $60
*             DB    $08
*             DB    $00
*             DB    $42
*             DB    $0F
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $01
*             DB    $00
*             DB    $00
*             DB    $14
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $28
*             DB    $03
*             DB    $40
*             DB    $02
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $01
*             DB    $01
*             DB    $7F
*             DB    $00
*             DB    $2F
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $7F
*             DB    $00
*             DB    $2F
*             DB    $00
*             DB    $10
*             DB    $00
*             DB    $78
*             DB    $00
*             DB    $3C
*             DB    $7F
*             DB    $00
*             DB    $07
*             DB    $6E
*             DB    $00
*             DB    $01
*             DB    $32
*             DB    $64
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $01
*             DB    $00
*             DB    $00
*             DB    $14
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $28
*             DB    $03
*             DB    $40
*             DB    $04
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $01
*             DB    $01
*             DB    $7F
*             DB    $40
*             DB    $27
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $7F
*             DB    $40
*             DB    $27
*             DB    $00
*             DB    $10
*             DB    $00
*L0301D1      DB    $5A
*             DB    $00
*             DB    $0D
*             DB    $4B
*             DB    $05
*             DB    $00
*             DB    $00
*             DB    $0A
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $01
*             DB    $00
*             DB    $00
*             DB    $0A
*             DB    $00
*             DB    $00
*             DB    $0A
*             DB    $00
*             DB    $00
*             DB    $0A
*             DB    $00
*             DB    $00
*             DB    $0A
*             DB    $02
*             DB    $40
*             DB    $02
*             DB    $32
*             DB    $32
*             DB    $00
*             DB    $01
*             DB    $01
*             DB    $7F
*             DB    $20
*             DB    $27
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $7F
*             DB    $20
*             DB    $27
*             DB    $00
*             DB    $10
*             DB    $00
*L0301FD      DB    $64
*             DB    $00
*             DB    $0D
*             DB    $14
*             DB    $14
*             DB    $00
*             DB    $00
*             DB    $0A
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $01
*             DB    $00
*             DB    $00
*             DB    $0A
*             DB    $00
*             DB    $00
*             DB    $0A
*             DB    $00
*             DB    $00
*             DB    $0A
*             DB    $00
*             DB    $00
*             DB    $0A
*             DB    $02
*             DB    $40
*             DB    $04
*             DB    $1E
*             DB    $32
*             DB    $00
*             DB    $01
*             DB    $01
*             DB    $7F
*             DB    $60
*             DB    $27
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $7F
*             DB    $60
*             DB    $27
*             DB    $00
*             DB    $10
*             DB    $00
*L030229      DB    $6E
*             DB    $00
*             DB    $6E
*             DB    $63
*             DB    $2C
*             DB    $00
*             DB    $00
*             DB    $05
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $1E
*             DB    $00
*             DB    $00
*             DB    $0A
*             DB    $00
*             DB    $00
*             DB    $0A
*             DB    $00
*             DB    $00
*             DB    $0A
*             DB    $00
*             DB    $00
*             DB    $0A
*             DB    $02
*             DB    $40
*             DB    $04
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $01
*             DB    $01
*             DB    $7F
*             DB    $60
*             DB    $27
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $7F
*             DB    $60
*             DB    $27
*             DB    $00
*             DB    $10
*             DB    $00
*L030255      DB    $5A
*             DB    $00
*             DB    $5A
*             DB    $59
*             DB    $19
*             DB    $00
*             DB    $00
*             DB    $1E
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $1E
*             DB    $00
*             DB    $00
*             DB    $0A
*             DB    $00
*             DB    $00
*             DB    $0A
*             DB    $00
*             DB    $00
*             DB    $0A
*             DB    $00
*             DB    $00
*             DB    $0A
*             DB    $02
*             DB    $40
*             DB    $04
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $01
*             DB    $01
*             DB    $7F
*             DB    $60
*             DB    $27
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $7F
*             DB    $60
*             DB    $27
*             DB    $00
*             DB    $10
*             DB    $00
*L030281      DB    $18
*             DB    $00
*             DB    $18
*             DB    $00
*             DB    $18
*             DB    $00
*             DB    $18
*             DB    $00
*L030289      ADRL  L0301FD
*             ADRL  L0301D1
*             ADRL  L030229
*             ADRL  L030255
*L030299      ASC   '1/instruments/Piano'00
*L0302B1      ASC   '1/instruments/Clarinette'00
*L0302CE      ASC   '1/instruments/Basse'00
*L0302E6      ASC   '1/instruments/Guitare'00
*L030300      ASC   '1/partitions/Voix1'00
*L030317      ASC   '1/partitions/Voix2'00
*L03032E      ASC   '1/partitions/Voix3'00
*L030345      ASC   '1/partitions/Voix4'00
*L03035C      DB    $00
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $00
*L030364      DB    $00
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $00
*L03036C      DB    $00
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $00
*L030374      DB    $00
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $00
*L03037C      DB    $00
*             DB    $00
*L03037E      DB    $00
*             DB    $00
*L030380      DB    $00
*             DB    $00
*L030382      DB    $00
*             DB    $00
*L030384      DB    $00
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $00
*L03038C      DB    $00
*             DB    $00
*L03038E      DB    $00
*             DB    $00
*L030390      DB    $00
*             DB    $00
*L030392      DB    $00
*             DB    $00
*L030394      DB    $00
*             DB    $00
*L030396      DB    $00
*             DB    $00
*L030398      DB    $00
*             DB    $00
*L03039A      DB    $00
*             DB    $00
*L03039C      DB    $00
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $00
*             DB    $00
*L0303A4      DB    $04
*             DB    $00
*             DB    $04
*             DB    $00
*             DB    $00
*             DB    $01
*             DB    $06
*             DB    $00
*             DB    $00
*             DB    $01
*             DB    $0F
*             DB    $00
*             DB    $00
*             DB    $01
*             DB    $19
*             DB    $00
*             DB    $25
*             DB    $00

*--- New Tool table

ssREC	ds	4

toolTBL2
	DW	$0000
	DW	$0000
	DW	$0000
	ADRL	$00000000
	DW	$0013
	DW	$0003
	DW	$0300
	DW	$0004
	DW	$0301
	DW	$0005
	DW	$0302
	DW	$0006
	DW	$0300
	DW	$0008
	DW	$0301
	DW	$000B
	DW	$0200
	DW	$000E
	DW	$0301
	DW	$000F
	DW	$0301
	DW	$0010
	DW	$0301
	DW	$0012
	DW	$0301
	DW      $0013
	DW      $0300
	DW	$0014
	DW	$0301
	DW	$0015
	DW	$0301
	DW	$0016
	DW	$0300
	DW	$0017
	DW	$0301
	DW	$001B
	DW	$0301
	DW	$001C
	DW	$0301
	DW	$001E
	DW	$0100
	DW      $0022
	DW      $0101

*L0303B6      ASC   '2'00

L0303B8      ASC   '>>Passengers on the wind II\N0'0000

L0303E2      ASC   '>> Game \N1'00
             ASC   '--Open...\N258*Oo'00
             ASC   '--Save...\N257*Ss'00
             ASC   '--Beginning\N259*Bb'00
             ASC   '--Replay...\N260*Rr'00
             ASC   '--Quit...\N261*Qq'00
             ASC   '.'00
L03044F      ASC   '>> Sound \N2'00
             ASC   '--On\N262*Mm'00
             ASC   '--Off\N263*Ee'00
             ASC   '.'00
L03047A      ASC   '>> Passengers on the wind II \N3'00
             ASC   '--About...\N265*??'00
             ASC   '.'00
L0304AA      ASC   'Do you really'00
L0304B8      ASC   'want to'00
L0304C1      ASC   'leave me ?'00
L0304CC      ASC   'Save... '00
L0304D6      ASC   'the game'00
L0304DF      ASC   'in progress?'00
L0304EC      ASC   ' Insert the '00
L0304F9      ASC   ' right disk '00
L030506      ASC   ' Please wait,'00
L030514      ASC   '  it'27's loading !'00
L030525      ASC   'Load and...'00
L030531      ASC   'lose the part'00
L03053F      ASC   'in progress?'00
L03054C      ASC   'Passengers on the wind II'00
L030563      ASC   'Produced by'00
L03056F      ASC   ' Infogrames/Ordigrames'00
L03057B      ASC   'Adapted by'00
L030587      ASC   ' Brutal Deluxe'00
L030593      ASC   '    '09
             ASC   '     You can regulate'00
L0305AE      ASC   09
             ASC   '      the speed using the mouse'00
L0305CF      ASC   '<---------- mouse ---------->'00
L0305ED      ASC   'Slow                                   '
             ASC   '    Fast'00
L03061D      ASC   ' OK '00
L030622      ASC   '  NOPE!! '00
L03062C      ASC   ' Yep '00
L030632      ASC   ' Cancel '00
             ASC   ' '00
L03063D      ASC   ' Start '00
L030645      DB    $28
             DB    $00
             DB    $48
             DB    $00
             DB    $69
             DB    $00
             DB    $FC
             DB    $00
L03064D      DB    $28
             DB    $00
             DB    $38
             DB    $00
             DB    $82
             DB    $00
             DB    $0A
             DB    $01
L030655      DB    $32
             DB    $00
             DB    $28
             DB    $00
             DB    $94
             DB    $00
             DB    $3C	; was $1C
             DB    $01
L03065D      DB    $6A
             DB    $00
             DB    $48
             DB    $00
             DB    $92
             DB    $00
             DB    $FC
             DB    $00
             DB    $36
             DB    $00
             DB    $48
             DB    $00
             DB    $86
             DB    $00
             DB    $E0
             DB    $00
L03066D      DB    $55
             DB    $00
             DB    $8C
             DB    $00
L030671      DB    $73
             DB    $00
             DB    $4B
             DB    $00
L030675      DB    $73
             DB    $00
             DB    $AA
             DB    $00
L030679      DB    $82
             DB    $00
             DB    $4B
             DB    $00
L03067D      DB    $82
             DB    $00
             DB    $B4
             DB    $00
             DB    $73
             DB    $00
             DB    $60
             DB    $00
L030685      ADRL  L030645
             ADRL  L0304EC
             ADRL  L0304F9
             ADRL  $00000000
             ADRL  $00000000
             ADRL  $00000000
             ADRL  $0100FFFF
             ADRL  L03066D
             ADRL  $00000000
             ADRL  $00000000
             ADRL  L03061D
             ADRL  $00000000
             ADRL  $00000000
L0306B9      ADRL  L03064D
             ADRL  L0304CC
             ADRL  L0304D6
             ADRL  L0304DF
             ADRL  $00000000
             ADRL  $00000000
             ADRL  $02000000
             ADRL  L030671
             ADRL  L030675
             ADRL  $00000000
             ADRL  L03062C
             ADRL  L030632
             ADRL  $00000000
L0306ED      ADRL  L03064D
             ADRL  L030525
             ADRL  L030531
             ADRL  L03053F
             ADRL  $00000000
             ADRL  $00000000
             ADRL  $02000001
             ADRL  L030671
             ADRL  L030675
             ADRL  $00000000
             ADRL  L03061D
             ADRL  L030622
             ADRL  $00000000
L030721      ADRL  L030655
             ADRL  L03054C
             ADRL  L030563
             ADRL  L03056F
             ADRL  L03057B
             ADRL  L030587
             ADRL  $01000002
             ADRL  L030679
             ADRL  $00000000
             ADRL  $00000000
             ADRL  L03061D
             ADRL  $00000000
             ADRL  $00000000
L030755      ADRL  L03064D
             ADRL  L0304AA
             ADRL  L0304B8
             ADRL  L0304C1
             ADRL  $00000000
             ADRL  $00000000
             ADRL  $02010003
             ADRL  L030671
             ADRL  L030675
             ADRL  $00000000
             ADRL  L03061D
             ADRL  L030622
             ADRL  $00000000
L030789      ADRL  L03065D
             ADRL  L030506
             ADRL  L030514
             ADRL  $00000000
             ADRL  $00000000
             ADRL  $00000000
             ADRL  $0000FFFF
             ADRL  $00000000
             ADRL  $00000000
             ADRL  $00000000
             ADRL  $00000000
             ADRL  $00000000
             ADRL  $00000000
L0307BD      ADRL  L030655
             ADRL  L030593
             ADRL  L0305AE
             ADRL  $00000000
             ADRL  L0305CF
             ADRL  L0305ED
             ADRL  $0201FFFF
             ADRL  L03067D
             ADRL  L030679
             ADRL  $00000000
             ADRL  L030632
             ADRL  L03063D
             ADRL  $00000000
L0307F1      HEX   0000400ABB00DC0F8F00860DFF0CEE0E
             HEX   EE0F980E6400550D44085308CB0EFF0F
L030811      ADRL  L0307F1
             ADRL  L0307F1
             ADRL  L0307F1
             ADRL  L0307F1
             ADRL  L0307F1
             ADRL  L0307F1
             ADRL  L0307F1
             ADRL  L0307F1
             ADRL  L0307F1
             ADRL  L0307F1
             ADRL  L0307F1
             ADRL  L0307F1
             ADRL  L0307F1
             ADRL  L0307F1
             ADRL  L0307F1
             ADRL  L0307F1
             ADRL  L0307F1
             ADRL  L0307F1
             ADRL  L0307F1
             ADRL  L0307F1
             ADRL  L0307F1
             ADRL  L0307F1
             ADRL  L0307F1
             ADRL  L0307F1
*L030871      DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
*             DW    $0001
L030911      DB    $48
             DB    $00
             DB    $50
             DB    $00
             DB    $50
             DB    $00
             DB    $50
             DB    $00
             DB    $50
             DB    $00
             DB    $6E
             DB    $00
             DB    $50
             DB    $00
L03091F      DB    $08
             DB    $00
             DB    $0A
             DB    $00
             DB    $09
             DB    $00
             DB    $05
             DB    $00
             DB    $0C
             DB    $00
             DB    $05
             DB    $00
             DB    $02
             DB    $00
L03092D      DB    $32
             DB    $00
L03092F      DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00

eventREC
oWHAT        DS    2	; what
oMESSAGE     DS    4	; message
             DS    4	; when
oWHERE
oWHEREX      DS    2	; where
oWHEREY      DS    2
oMODIFIERS   DS    2	; modifiers
oTASKDATA    DS    4	; wmTaskData
             DS    4	; wmTaskMask

L0309AB      DB    $00
L0309AC      DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
L0309B1      DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
L0309BB      DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
L030AE3      DB    $00
             DB    $00
L030AE5      DB    $00
             DB    $00
L030AE7      DB    $00
             DB    $00
L030AE9      DB    $00
             DB    $00
L030AEB      DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
L030B8B      DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
L030B90      DB    $00
             DB    $00
             DB    $00
             DB    $00
L030B94      DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
L030B9C      DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
L030BA1      DB    $00
             DB    $00
             DB    $00
L030BA4      DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
L030BB3      DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
L030BCB      DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
L030BE3      DS    11352
L03383B      DS    1996
L034007      DB    $00
L034008      DB    $00
L034009      DB    $00
             DB    $00
L03400B      DB    $00
L03400C      DB    $00
L03400D      DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
L03405B      DB    $00
L03405C      DB    $00
L03405D      DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
L034079      DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
tblCONDITIONS
             DS    $100
tblCONDITIONS2
             DS    $100

*L0342AB      ASC   '1/sauve'00
L0342B7      ASC   '1/image2/finlpdv2.bin'00

L0342D1      DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
L0342E9      DB    $08
             DB    $01
             DB    $02
             DB    $03
             DB    $04
             DB    $05
             DB    $06
             DB    $07
             DB    $00
             DB    $09
             DB    $0A
             DB    $0B
             DB    $0C
             DB    $0D
             DB    $0E
             DB    $0F
L0342F9      DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
L034319      ASC   '1/image2/garlpdv2.bin'00
L03433F      ASC   '1/image2/garde.txt0'00
L03434A      ASC   '1/image2/'00
L034358      ASC   '.BTM'00
L03435D      ASC   '.TXT0'00
L034362      ASC   '.STR'00
L034367      ASC   '.GIM'00
L03436C      ASC   'village'00
L034374      ASC   'extvill'00
L03437C      ASC   'dahret'00
L034383      ASC   'pilotis'00
L03438B      ASC   'mortsm'00
L034392      ASC   'rejuda'00
L034399      ASC   'cloitre'00
L0343A1      DS    80
L0343F1      DB    $00
             DB    $00
L0343F3      DB    $00
             DB    $00
L0343F5      DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
L034471      ASC   'CON:'00
L034476      ASC   'PRT:'00
L03447B      ASC   'AUX:'00
L034480      ASC   'CON:'00
L034485      ASC   'PRT:'00
L03448A      ASC   'AUX:'00
L03448F      DS    30
L0344AD      DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $09
             DB    $00
             DB    $00
             DB    $83
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $02
             DB    $01
             DB    $00
             DB    $83
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $02
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $02
             DB    $01
             DB    $00
             DB    $83
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $02
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
             DB    $00
